<template>
  <span class="sw-gs-icon sf-icon">
    <svg class="sf-icon-path"
         viewBox="0 0 24 24"
         preserveAspectRatio="none">
      <path fill="var(--icon-color)" d="M2 4C0.89543 4 0 4.89543 0 6V18C0 19.1046 0.895431 20 2 20H13.6644L12.7756 18H2V6L22 6V14.5533L23.9205 15.4069C23.9473 15.4188 23.9738 15.431 24 15.4435V6C24 4.89543 23.1046 4 22 4H2Z"/>
      <path fill="var(--icon-color)" d="M20 13C20 13.2169 19.9309 13.4177 19.8136 13.5816L16.255 12H19C19.5523 12 20 12.4477 20 13Z"/>
      <path fill="var(--icon-color)" fill-rule="evenodd" clip-rule="evenodd" d="M4 9C4 8.44772 4.44772 8 5 8H10C10.5523 8 11 8.44772 11 9V15C11 15.5523 10.5523 16 10 16H5C4.44772 16 4 15.5523 4 15V9Z"/>
      <path fill="var(--icon-color)" d="M13 9C13 8.44772 13.4477 8 14 8H19C19.5523 8 20 8.44772 20 9C20 9.55228 19.5523 10 19 10H14C13.4477 10 13 9.55228 13 9Z"/>
      <path fill="var(--icon-color)" fill-rule="evenodd" clip-rule="evenodd" d="M23.0765 19.0756L21.014 19.9085C20.5108 20.1117 20.1117 20.5108 19.9085 21.014L19.0756 23.0765C18.7449 23.8952 17.5931 23.915 17.2345 23.1082L13.5915 14.9114C13.2196 14.0746 14.0746 13.2196 14.9114 13.5915L23.1082 17.2345C23.915 17.5931 23.8952 18.7449 23.0765 19.0756ZM20.1434 18.1055C19.2346 18.5079 18.5079 19.2346 18.1055 20.1434L16.4751 16.4751L20.1434 18.1055Z"/>
    </svg>
  </span>
</template>

<script lang="ts">
  export default {
    name: 'SwGsIconHighlight'
  }
</script>
